package com.pictc.cache;

import java.util.List;
import java.util.Set;
import java.util.concurrent.TimeUnit;

public  interface TanukiCache<K,V>{
	
	String getCacheName();

	void save(K key,V value);
	
	void save(K key,V value,long time,TimeUnit unit);
	
	boolean setExpire(K key,long time,TimeUnit unit);
	
	void remove(K key);
	
	V get(K key);

	boolean containsKey(K key);
	
	List<V> values();
	
	Set<K> keys();
	
	void clear();

}
